Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.web.converters
[Groovy] Interface IncludeExcludeConverter

    org.codehaus.groovy.grails.web.converters.Converter
      org.codehaus.groovy.grails.web.converters.IncludeExcludeConverter
          org.codehaus.groovy.grails.web.converters.ConfigurableConverter

All Superinterfaces:
  Converter, ConfigurableConverter

    interface IncludeExcludeConverter
    extends ConfigurableConverter

A converter capable of including/excluding properties on the target object

Authors:
  Graeme Rocher

Since:
  2.3

Field Summary

Fields inherited from interface Converter
DEFAULT_REQUEST_ENCODING

Method Summary
`void` | `setExcludes(java.util.List excludes)`
`void` | `setIncludes(java.util.List includes)`

Methods inherited from interface ConfigurableConverter
getExcludes, getIncludes, setContentType, setEncoding, setExcludes, setIncludes

Methods inherited from interface Converter
build, convertAnother, getWriter, lookupObjectMarshaller, render, render

Method Detail

### setExcludes

    void setExcludes(java.util.List excludes)

### setIncludes

    void setIncludes(java.util.List includes)

Groovy Documentation